#include "Save_Time.h"

#include "Save_Time.h"

void Time_Save(void)
{
    // 保存直排模式参数
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_PUMP_ON, (uint8_t*)&DIRECT_HIGH_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_PUMP_OFF, (uint8_t*)&DIRECT_HIGH_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_FAN_ON, (uint8_t*)&DIRECT_HIGH_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_FAN_OFF, (uint8_t*)&DIRECT_HIGH_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_LOW_FAN_ON, (uint8_t*)&DIRECT_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_LOW_FAN_OFF, (uint8_t*)&DIRECT_LOW_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_FIRST_LOW_ON, (uint8_t*)&DIRECT_FIRST_LOW_FAN_ON, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_DIRECT_FIRST_LOW_OFF, (uint8_t*)&DIRECT_FIRST_LOW_FAN_OFF, sizeof(uint32_t));
    
    // 保存冲厕模式参数
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_PUMP_ON, (uint8_t*)&FLUSH_HIGH_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_PUMP_OFF, (uint8_t*)&FLUSH_HIGH_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_FAN_ON, (uint8_t*)&FLUSH_HIGH_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_FAN_OFF, (uint8_t*)&FLUSH_HIGH_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_LOW_FAN_ON, (uint8_t*)&FLUSH_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_LOW_FAN_OFF, (uint8_t*)&FLUSH_LOW_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_FIRST_LOW_ON, (uint8_t*)&FLUSH_FIRST_LOW_FAN_ON, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_FLUSH_FIRST_LOW_OFF, (uint8_t*)&FLUSH_FIRST_LOW_FAN_OFF, sizeof(uint32_t));
    
    // 保存灌溉模式参数
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_PUMP_ON, (uint8_t*)&HIGH_LEVEL_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_PUMP_OFF, (uint8_t*)&HIGH_LEVEL_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_FAN_ON, (uint8_t*)&HIGH_LEVEL_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_FAN_OFF, (uint8_t*)&HIGH_LEVEL_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_LOW_FAN_ON, (uint8_t*)&LOW_LEVEL_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_LOW_FAN_OFF, (uint8_t*)&LOW_LEVEL_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_FIRST_LOW_ON, (uint8_t*)&FIRST_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_WriteBytes(TIME_ADDR_IRRIG_FIRST_LOW_OFF, (uint8_t*)&FIRST_LOW_FAN_OFF_TIME, sizeof(uint32_t));
}

void Time_Load(void)
{
    // 读取直排模式参数
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_PUMP_ON, (uint8_t*)&DIRECT_HIGH_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_PUMP_OFF, (uint8_t*)&DIRECT_HIGH_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_FAN_ON, (uint8_t*)&DIRECT_HIGH_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_FAN_OFF, (uint8_t*)&DIRECT_HIGH_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_LOW_FAN_ON, (uint8_t*)&DIRECT_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_LOW_FAN_OFF, (uint8_t*)&DIRECT_LOW_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_FIRST_LOW_ON, (uint8_t*)&DIRECT_FIRST_LOW_FAN_ON, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_DIRECT_FIRST_LOW_OFF, (uint8_t*)&DIRECT_FIRST_LOW_FAN_OFF, sizeof(uint32_t));
    
    // 读取冲厕模式参数
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_PUMP_ON, (uint8_t*)&FLUSH_HIGH_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_PUMP_OFF, (uint8_t*)&FLUSH_HIGH_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_FAN_ON, (uint8_t*)&FLUSH_HIGH_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_FAN_OFF, (uint8_t*)&FLUSH_HIGH_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_LOW_FAN_ON, (uint8_t*)&FLUSH_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_LOW_FAN_OFF, (uint8_t*)&FLUSH_LOW_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_FIRST_LOW_ON, (uint8_t*)&FLUSH_FIRST_LOW_FAN_ON, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_FLUSH_FIRST_LOW_OFF, (uint8_t*)&FLUSH_FIRST_LOW_FAN_OFF, sizeof(uint32_t));
    
    // 读取灌溉模式参数
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_PUMP_ON, (uint8_t*)&HIGH_LEVEL_PUMP_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_PUMP_OFF, (uint8_t*)&HIGH_LEVEL_PUMP_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_FAN_ON, (uint8_t*)&HIGH_LEVEL_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_FAN_OFF, (uint8_t*)&HIGH_LEVEL_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_LOW_FAN_ON, (uint8_t*)&LOW_LEVEL_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_LOW_FAN_OFF, (uint8_t*)&LOW_LEVEL_FAN_OFF_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_FIRST_LOW_ON, (uint8_t*)&FIRST_LOW_FAN_ON_TIME, sizeof(uint32_t));
    Inf_AT24C02_ReadBytes(TIME_ADDR_IRRIG_FIRST_LOW_OFF, (uint8_t*)&FIRST_LOW_FAN_OFF_TIME, sizeof(uint32_t));
}

